Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231689 - 2.6.19-1.2288.2.4.fc5 panic mounting root RAID1 LVM
Summary: 2.6.19-1.2288.2.4.fc5 panic mounting root RAID1 LVM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 5
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-09 23:05 UTC by Dale Bewley
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.6.20-1.2307.fc5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-28 13:21:40 UTC


Attachments (Terms of Use)

Description Dale Bewley 2007-03-09 23:05:12 UTC
Description of problem:
kernel-2.6.18-1.2257.fc5 works fine. Upgraded to 2.6.19-1.2288.2.4 and system
fails to init md device and kernel panics.

Version-Release number of selected component (if applicable): 2.6.19-1.2288.2.4.fc5

How reproducible:
Every time. Added noresume

Steps to Reproduce:
1. Boot kernel /vmlinuz-2.6.19-1.2288.2.4.fc5 ro root=/dev/VGRAID/LVRoot
console=tty0 console=ttyS0,9600
  
Actual results:

Kernel 2.6.19-1.2288.2.4.fc5
--snip--
SCSI device sdb: drive cache: write back w/ FUA
 sdb: sdb1 sdb2 sdb3
sd 0:0:1:0: Attached scsi disk sdb
Loading jbd.ko mdevice-mapper: ioctl: 4.10.0-ioctl (2006-09-14) initialised:
dm-devel@redhat.com
odule
Loading ext3.ko module
Loading dm-mod.ko module
Loading dm-mirror.ko module
Loading dm-zero.ko module
Loading dm-snapshot.ko module
noresume passed, not resuming...
Creating root device.
Mounting root filesystem.
mount: could notKernel panic - not syncing: Attempted to kill init!
 find filesystem  '/dev/root'
Se
--snip--

Expected results:

Kernel 2.6.18-1.2257.fc5
--snip--
SCSI device sdb: drive cache: write back w/ FUA
 sdb: sdb1 sdb2 sdb3
sd 0:0:1:0: Attached scsi disk sdb
Loading jbd.ko mmd: raid1 personality registered for level 1
odule
Loading edevice-mapper: ioctl: 4.7.0-ioctl (2006-06-24) initialised:
dm-devel@redhat.com
xt3.ko module
Lmd: Autodetecting RAID arrays.
oading raid1.ko module
Loading dm-mod.ko modulemd: autorun ...

Loading dm-mirmd: considering sdb2 ...
ror.ko module
Lmd:  adding sdb2 ...
oading dm-zero.kmd: sdb1 has different UUID to sdb2
o module
Loadinmd:  adding sda2 ...
g dm-snapshot.komd: sda1 has different UUID to sdb2
 module
Making md: created md0
device-mapper comd: bind<sda2>
ntrol node
md: bind<sdb2>
md: running: <sdb2><sda2>
raid1: raid set md0 active with 2 out of 2 mirrors
md: considering sdb1 ...
md:  adding sdb1 ...
md:  adding sda1 ...
md: created md1
md: bind<sda1>
md: bind<sdb1>
md: running: <sdb1><sda1>
raid1: raid set md1 active with 2 out of 2 mirrors
md: ... autorun DONE.
Scanning logical volumes
  Reading all physical volumes.  This may take a while...
  Found volume group "VGRAID" using metadata type lvm2
Activating logical volumes
  6 logical volume(s) in volume group "VGRAID" now active
Trying to resume from /dev/VGRAID/LVSwap
No suspend signature on swap, not resuming.
Creating root device.
Mounting root filesystem.
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Setting up other filesystems.
Setting up new root fs
no fstab.sys, mounting internal defaults
Switching to new root and running init.
--snip--

Additional info:

[root@vishnu grub]# cat grub.conf
default=0
timeout=5
serial --unit=0 --speed=9600
terminal --timeout=3 tty0 serial
title Fedora Core (2.6.19-1.2288.2.4.fc5)
        root (hd0,0)
        kernel /vmlinuz-2.6.19-1.2288.2.4.fc5 ro root=/dev/VGRAID/LVRoot
console=tty0 console=ttyS0,9600 noresume
        initrd /initrd-2.6.19-1.2288.2.4.fc5.img
title Fedora Core (2.6.18-1.2257.fc5)
        root (hd0,0)
        kernel /vmlinuz-2.6.18-1.2257.fc5 ro root=/dev/VGRAID/LVRoot
console=tty0 console=ttyS0,9600
        initrd /initrd-2.6.18-1.2257.fc5.img

[root@vishnu grub]# cat /etc/fstab
/dev/VGRAID/LVRoot      /                       ext3    defaults        1 1
/dev/md1                /boot                   ext3    defaults        1 2
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
tmpfs                   /dev/shm                tmpfs   defaults        0 0
/dev/VGRAID/LVHome      /home                   ext3    defaults        1 2
/dev/VGRAID/LVOpt       /opt                    ext3    defaults        1 2
proc                    /proc                   proc    defaults        0 0
sysfs                   /sys                    sysfs   defaults        0 0
/dev/VGRAID/LVUsr       /usr                    ext3    defaults        1 2
/dev/VGRAID/LVVar       /var                    ext3    defaults        1 2
/dev/VGRAID/LVSwap      swap                    swap    defaults        0 0
LABEL=SWAP-sdb3         swap                    swap    defaults        0 0
LABEL=SWAP-sda3         swap                    swap    defaults        0 0
none                    /tmp                    tmpfs   defaults        0 0

[root@vishnu grub]# cat /proc/mdstat
Personalities : [raid1]
md1 : active raid1 sdb1[1] sda1[0]
      513984 blocks [2/2] [UU]

md0 : active raid1 sdb2[1] sda2[0]
      70115584 blocks [2/2] [UU]

unused devices: <none>

[root@vishnu boot]# ls -l initrd*
-rw-r--r-- 1 root root 1956394 Dec 21 16:13 initrd-2.6.18-1.2257.fc5.img
-rw-r--r-- 1 root root 1186726 Mar  9 13:09 initrd-2.6.19-1.2288.2.4.fc5.img

Comment 1 Dale Bewley 2007-03-28 00:19:31 UTC
Update to 2.6.20-1.2307.fc5 and things work again. Guess you can close this one.


Note You need to log in before you can comment on or make changes to this bug.